# class Plugin

###

Module | soprano
Namespace | Soprano
Class | Plugin
Inherits |

\class Plugin plugin.h Soprano/Plugin

Base class for all plugins in %Soprano.

Each %Soprano %Plugin has a name which can be read via pluginName().

See also Soprano.PluginManager

Author Sebastian Trueg <trueg@kde.org>

### methods

- Plugin (name)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  name | QString |

- isAvailable ( )

  returns bool

  This method can be reimplemented by plugins that need to do additional run-time checks before they can be used.

  The default implementation returns true.

  Returns true if the plugin can be used.

- pluginName ( )

  returns QString